{
    attributes = (
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = c_structure; }; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = C_TYPE_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cTypeStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_STRUCTURE; 
            externalType = VARCHAR2; 
            name = lcStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_STRUCTURE; 
            externalType = VARCHAR2; 
            name = llStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 120; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cStructure, lcStructure, llStructure, persId, cTypeStructure); 
    className = org.cocktail.fwkcktldepense.server.metier.EOStructure; 
    classProperties = (lcStructure, llStructure, personne, cTypeStructure, repartStructure); 
    externalName = JEFY_DEPENSE.V_STRUCTURE; 
    internalInfo = {
        _clientClassPropertyNames = (lcStructure, llStructure, personne, cTypeStructure, repartStructure); 
        _javaClientClassName = org.cocktail.fwkcktldepense.client.metier.EOStructure; 
        _nameInObjectStore = v_structure_ulr; 
    }; 
    name = FwkCaramboleStructureUlr; 
    primaryKeyAttributes = (cStructure); 
    relationships = (
        {
            destination = FwkCarambolePersonne; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = personne; 
        }, 
        {
            destination = FwkCaramboleRepartStructure; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = repartStructure; 
            numberOfToManyFaultsToBatchFetch = 10; 
        }
    ); 
}
